Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql
Class Attributes

    java.lang.Object
      org.apache.cassandra.cql.Attributes

    public class Attributes

extends java.lang.Object

Class to contain attributes for statements

Constructor Summary
`Attributes()`
`Attributes(ConsistencyLevel cLevel, java.lang.Long timestamp, int timeToLive)`

Method Summary
`ConsistencyLevel` | `getConsistencyLevel()`
`java.lang.Long` | `getTimestamp()`
`int` | `getTimeToLive()`
`void` | `setConsistencyLevel(ConsistencyLevel cLevel)`
`void` | `setTimestamp(java.lang.Long timestamp)`
`void` | `setTimeToLive(int timeToLive)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Attributes

    public Attributes()

### Attributes

    public Attributes(ConsistencyLevel cLevel,
                      java.lang.Long timestamp,
                      int timeToLive)

Method Detail

### getConsistencyLevel

    public ConsistencyLevel getConsistencyLevel()

### setConsistencyLevel

    public void setConsistencyLevel(ConsistencyLevel cLevel)

### getTimestamp

    public java.lang.Long getTimestamp()

### setTimestamp

    public void setTimestamp(java.lang.Long timestamp)

### getTimeToLive

    public int getTimeToLive()

### setTimeToLive

    public void setTimeToLive(int timeToLive)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation